package rentComputer

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type RentComputerLedgerRouter struct {
}

func (e *RentComputerRouter) InitRentComputerLedgerRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("rentComputerLedger")
	rentComputerApi := v1.ApiGroupApp.RentComputerApiGroup.ApiRentComputerLedger
	{
		excelRouter.POST("getRentComputerLedgerList", rentComputerApi.GetRentComputerLedgerList) //查询记录
		excelRouter.POST("getRentComputerLedgerNum", rentComputerApi.GetRentComputerLedgerNum)
		excelRouter.POST("exportRentLedgerListExcel", rentComputerApi.ExportLedgerListExcel)
		excelRouter.POST("deleteRentComputerLedgerById", rentComputerApi.DeleteRentComputerLedgerById)
		excelRouter.POST("deleteRentComputerLedgerByIds", rentComputerApi.DeleteRentComputerLedgerByIds)

	}
}
